using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Ability382.Domain;

namespace Topsdk.Top.Ability382.Response;

public class TaobaoTbkDgVegasSendStatusResponse : AbstractTopApiResponse
{

    /*
        返回结果描述信息
            */
    private string? resultMsg;


    /*
        返回结果封装对象
            */
    private TaobaoTbkDgVegasSendStatusData? data;


    /*
        系统自动生成
            */
    private string? bizErrorDesc;


    [JsonPropertyName("result_msg")]
    public string? ResultMsg
    {
        get => resultMsg;
        set => this.resultMsg = value;
    }

    [JsonPropertyName("data")]
    public TaobaoTbkDgVegasSendStatusData? Data
    {
        get => data;
        set => this.data = value;
    }

    [JsonPropertyName("biz_error_desc")]
    public string? BizErrorDesc
    {
        get => bizErrorDesc;
        set => this.bizErrorDesc = value;
    }

}

